## ros-kinetic-rostopic 1.12.17

=== debian/changelog ===
ros-kinetic-rostopic (1.12.17-1xenial) xenial; urgency=high

  * Update maintainers (#2075 <https://github.com/ros/ros_comm/issues/2075>)
  * Contributors: Jacob Perron, Shane Loretz

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 26 Oct 2020 07:00:00 -0000

ros-kinetic-rostopic (1.12.16-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 26 Aug 2020 07:00:00 -0000

ros-kinetic-rostopic (1.12.15-1xenial) xenial; urgency=high

  * publisher/subscriber lists have correct type now (#1780 <https://github.com/ros/ros_comm/issues/1780>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 10 Aug 2020 07:00:00 -0000

ros-kinetic-rostopic (1.12.14-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 23 Aug 2018 07:00:00 -0000

ros-kinetic-rostopic (1.12.13-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 Feb 2018 08:00:00 -0000

ros-kinetic-rostopic (1.12.12-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 16 Nov 2017 08:00:00 -0000

ros-kinetic-rostopic (1.12.11-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 07 Nov 2017 08:00:00 -0000

ros-kinetic-rostopic (1.12.10-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Nov 2017 08:00:00 -0000

ros-kinetic-rostopic (1.12.9-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Nov 2017 08:00:00 -0000

ros-kinetic-rostopic (1.12.8-1xenial) xenial; urgency=high

  * fix rostopic hz and bw in Python 3 (#1126 <https://github.com/ros/ros_comm/issues/1126>)
  * update tests to match stringify changes (#1125 <https://github.com/ros/ros_comm/issues/1125>)
  * fix rostopic prining long integers (#1110 <https://github.com/ros/ros_comm/pull/1110>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Nov 2017 08:00:00 -0000

ros-kinetic-rostopic (1.12.7-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 17 Feb 2017 08:00:00 -0000

ros-kinetic-rostopic (1.12.6-1xenial) xenial; urgency=high

  * fix typo of arg for _str_plot function (#915 <https://github.com/ros/ros_comm/issues/915>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 26 Oct 2016 07:00:00 -0000

ros-kinetic-rostopic (1.12.5-1xenial) xenial; urgency=high

  * fix regression with rostopic echo for primitive fields from 1.12.3 (#909 <https://github.com/ros/ros_comm/issues/909>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 30 Sep 2016 07:00:00 -0000

ros-kinetic-rostopic (1.12.4-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 07:00:00 -0000

ros-kinetic-rostopic (1.12.3-1xenial) xenial; urgency=high

  * show topic field type with rostopic type (#860 <https://github.com/ros/ros_comm/issues/860>)
  * show stat for rostopic echo --noarr/nostr (#724 <https://github.com/ros/ros_comm/pull/724>, #872 <https://github.com/ros/ros_comm/pull/872>)
  * add support for multiple topics in rostopic hz (#712 <https://github.com/ros/ros_comm/pull/712>, #886 <https://github.com/ros/ros_comm/pull/886>, #888 <https://github.com/ros/ros_comm/pull/888>)
  * more detailed help string for rostopic echo -p (#816 <https://github.com/ros/ros_comm/issues/816>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 17 Sep 2016 07:00:00 -0000

ros-kinetic-rostopic (1.12.2-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Jun 2016 07:00:00 -0000

ros-kinetic-rostopic (1.12.1-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Apr 2016 07:00:00 -0000

ros-kinetic-rostopic (1.12.0-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Mar 2016 07:00:00 -0000

ros-kinetic-rostopic (1.11.18-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 17 Mar 2016 07:00:00 -0000

ros-kinetic-rostopic (1.11.17-1xenial) xenial; urgency=high

  * add "rostopic delay" to measure message delay compared to the input from real world (#719 <https://github.com/ros/ros_comm/pull/719>)
  * add option to perform keyword substitution for messages published with "rostopic pub" (#702 <https://github.com/ros/ros_comm/pull/702>)
  * add wall-time option for rostopic hz (#674 <https://github.com/ros/ros_comm/pull/674>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Mar 2016 08:00:00 -0000

ros-kinetic-rostopic (1.11.16-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 09 Nov 2015 08:00:00 -0000

ros-kinetic-rostopic (1.11.15-1xenial) xenial; urgency=high

  * add warning to rostopic hz about simulated time (#672 <https://github.com/ros/ros_comm/pull/672>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 13 Oct 2015 07:00:00 -0000

ros-kinetic-rostopic (1.11.14-1xenial) xenial; urgency=high

  * support specifying multiple array indices (#606 <https://github.com/ros/ros_comm/pull/606>)
  * fix string type check if variable is unicode

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 19 Sep 2015 07:00:00 -0000

ros-kinetic-rostopic (1.11.13-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 28 Apr 2015 07:00:00 -0000

ros-kinetic-rostopic (1.11.12-1xenial) xenial; urgency=high

  * fix command parsing for rosservice and rostopic to not accept arbitrary substrings of 'list' (#609 <https://github.com/ros/ros_comm/issues/609>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Apr 2015 07:00:00 -0000

ros-kinetic-rostopic (1.11.11-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 16 Apr 2015 07:00:00 -0000

ros-kinetic-rostopic (1.11.10-1xenial) xenial; urgency=high

  * add support for fixed-width floating-point and integer array values (#400 <https://github.com/ros/ros_comm/issues/400>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 22 Dec 2014 08:00:00 -0000


