=== debian/control ===
Source: ros-kinetic-rostopic
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin (>= 0.5.78), ros-kinetic-rostest
Homepage: http://ros.org/wiki/rostopic
Standards-Version: 3.9.2

Package: ros-kinetic-rostopic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-genpy (>= 0.5.4), ros-kinetic-rosbag, ros-kinetic-rospy
Description: rostopic contains the rostopic command-line tool for displaying debug information about ROS Topics, including publishers, subscribers, publishing rate, and ROS Messages.
 It also contains an experimental Python library for getting information about and interacting with topics dynamically. This library is for internal-use only as the code API may change, though it does provide examples of how to implement dynamic subscription and publication behaviors in ROS.
